<?php
/*
+--------------------------------------------------------------------------
|   TanyaCMS - Question and Answer Sofware
|   -----------------------------------------------------------------------
|   by fbschool dev team
|   (c) 2011 - 2012 FBSCHOOL
|   http://www.fbschool.com/tanyacms
|   -----------------------------------------------------------------------
|   This is NOT a freeware, use is subject to license terms
|   Support: 13455n@gmail.com
+--------------------------------------------------------------------------
*/

if (! defined('ASK_PATH'))
{
	define('ASK_PATH', dirname(__FILE__) . '/');
}

if (defined('GET_GZIP_COMPRESS') AND GET_GZIP_COMPRESS === TRUE)
{
	if (@ini_get('zlib.output_compression') == FALSE)
	{
		if (extension_loaded('zlib'))
		{
			if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) AND strpos($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip') !== FALSE)
			{
				ob_start('ob_gzhandler');
			}
		}
	}
}

require_once (ASK_PATH . 'init.php');

/** Loading core classes and core functions. **/
require_once (ASK_PATH . 'ask_app.inc.php');
require_once (ASK_PATH . 'ask_controller.inc.php');
require_once (ASK_PATH . 'ask_model.inc.php');

session_start();